Create account / Log in

Vassal doesn't start on my mac

Issues with the Vassal engine.

Moderators: Tim M, uckelman

Vassal doesn't start on my mac

Postby sundeer » February 11th, 2019, 9:17 am

Model: MacBook Pro
OS: masOS 10.14.2
Memory: 8GB
VASSAL: 3.2.17
Java: 11.0.2

I installed both Java and Vassal with Homebrew but when I try and start Vassal nothing happens. No error message, no icon in the Dock, and no Vassal process in Activity Monitor.

Where does Vassal store its log file on macOS?
sundeer
 
Posts: 3
Joined: February 17th, 2014, 7:06 pm

Re: Vassal doesn't start on my mac

Postby Marciemarc » February 15th, 2019, 1:46 pm

Same here.
Upgraded to Mojave this morning, now Vassal won't start anymore.
My laptop suggested downloading a Java Development Kit, but this didn't do any good.
Help would be appreciated.
Marc
Marciemarc
 
Posts: 1
Joined: May 16th, 2017, 3:42 pm

Re: Vassal doesn't start on my mac

Postby Malnorma » February 16th, 2019, 6:06 am

This keeps coming up, and shows no signs of getting better if people keep installing incompatible java versions.

The way to fix this (until vassal itself is updated) is to use an older version of Java. Since that's not always an option for your entire system, you can download and install an older version of the JRE and put it wherever you like. You then need to modify the shell script that launches Vassal (inside VASSAL.app) to point to your custom JRE location.

Because no-one ever seems willing to do this, I've created a modifed DMG that includes an old version of the JRE (1.8.0_121). This is the last version of the JRE that still worked with the cmd-` shortcut properly, which is why I still use it specifically for Vassal.

Distributing this is probably against the agreement I had to pretend I read when I downloaded the old JRE, but since Oracle is inclined to keep introducting bugs, confusing users and developers with their version numbers, and ignoring compatibility: nuts to them.

You can download this modified version of Vassal here: https://drive.google.com/open?id=1QTaxk ... XOks_xchNb

I have not bothered to reproduce the nice appearance of the standard DMG, but the /Applications shortcut is still there so you can drag it to install.

What I have changed:
I added a folder under Contents/Resources called JRE. Under that is Oracle's standard JRE distribution for the version mentioned above.
I modified the file Contents/MacOS/VASSAL.sh so it only looks under this new JRE folder for the java executable.
Those are the only changes to the standard 3.2.17 VASSAL.app you can download from vassalengine.org. I encourage anyone with the technical capacity to validate this for themselves and report back, because why should you trust me? I'm just some rando on the internet. I assure you I don't have the time to try and exploit the five or so systems running Vassal on a Mac, but a little paranoia never hurt anyone.
Malnorma
 
Posts: 84
Joined: October 14th, 2015, 9:26 am

Re: Vassal doesn't start on my mac

Postby Malnorma » February 16th, 2019, 7:56 am

If it turns out that bundling the JRE in this way causes a problem for anyone (or the forum mods know it's a problem and want to remove the link), Vassal appears to still work with the Zulu JRE, which is GPLd. If necessary, I'll make a new app with their 202 version. I've tested it briefly, but I'll test it some more tonight with the modules I use.
Malnorma
 
Posts: 84
Joined: October 14th, 2015, 9:26 am

Re: Vassal doesn't start on my mac

Postby sundeer » February 23rd, 2019, 2:21 pm

per docs: http://www.vassalengine.org/download.php
Vassal 3.2.17 requires Java Runtime Envionment (JRE) 5 or later.


This does not seem to be the case, but for those who can downgrade, this works:

Code: Select all
brew cask uninstall java
brew tap caskroom/versions
brew cask install java8
sundeer
 
Posts: 3
Joined: February 17th, 2014, 7:06 pm

Re: Vassal doesn't start on my mac

Postby Malnorma » February 24th, 2019, 4:32 am

Yes, "5 or later" should probably read "5 through 8".
Malnorma
 
Posts: 84
Joined: October 14th, 2015, 9:26 am

Re: Vassal doesn't start on my mac

Postby Artibus » February 28th, 2019, 7:10 pm

I have the same issue. Mojave was ok but I made the mistake to install the new java version...I'll try to install an old version of java...
Artibus
 
Posts: 1
Joined: May 15th, 2018, 8:02 pm


Return to Technical Support & Bugs

Who is online

Users browsing this forum: Bing [Bot] and 2 guests